<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li>',
        'after_widget' => '</li>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));

add_action('admin_menu', 'plainly_add_theme_page');

function plainly_add_theme_page() {
	if ( $_GET['page'] == basename(__FILE__) ) {
		if ( 'save' == $_REQUEST['action'] ) {
			check_admin_referer('plainly-header');
			$plainly_intro_text = stripslashes($_REQUEST['plainly_intro_text']);
			update_option('plainly_intro_text', $plainly_intro_text);
			wp_redirect("themes.php?page=functions.php&saved=true");
			die;
		}
	}
	add_theme_page(__('Customize Header'), __('Introduction Text for Plainly Theme'), 'edit_themes', basename(__FILE__), 'plainly_theme_page');
}

function plainly_theme_page() {
	if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.__('Options saved.').'</strong></p></div>';
?>
<div class='wrap'>
	<h2><?php _e('Introduction Text'); ?></h2>
		<p>This text appears on the main page of your site, underneath the heading and above the posts.</p>
		<p><img src="<?php bloginfo('stylesheet_directory'); ?>/images/intro_example.png" alt="Example screenshot for the introduction text placement" /></p>
			<form method="post" action="">
				<?php wp_nonce_field('plainly-header'); ?>
				<textarea name="plainly_intro_text" cols="80" rows="4"><?php print htmlentities(get_option('plainly_intro_text')); ?></textarea>
				<p><input type="hidden" name="action" value="save" />
				<input type="submit" name="submitform" value="<?php echo attribute_escape(__('Update Introduction Text &raquo;')); ?>" /></p>
			</form>
</div>
<?php
}
?>